/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.greenseeker;

import nl.cloudfarming.client.sensor.SensorDataVisualElement;
import org.netbeans.core.spi.multiview.MultiViewElement;
import org.openide.util.Lookup;
import org.openide.util.NbBundle.Messages;
import org.openide.windows.TopComponent;

/**
 * Creates a graphical representation of Greenseeker sensor files
 *
 * @author Arjan Loermans
 */
@MultiViewElement.Registration(displayName = "#LBL_Greenseeker_VISUAL",
iconBase = GreenseekerDataObject.ICON_BASE,
mimeType = GreenseekerDataObject.MIME_TYPE,
persistenceType = TopComponent.PERSISTENCE_NEVER,
preferredID = "nl.cloudfarming.client.sensor.greenseeker.GreenseekerVisual",
position = 100)
@Messages("LBL_Greenseeker_VISUAL=Visual")
public final class GreenseekerVisualElement extends SensorDataVisualElement {

    public GreenseekerVisualElement(Lookup lkp) {
        super(lkp);
    }

    @Override
    public String getName() {
        return "GreenseekerVisualElement";
    }    
}
